# Endpoints

- [Account](https://docs.usestencil.com/api/endpoints/account.md): Getting your account information
- [Projects](https://docs.usestencil.com/api/endpoints/projects.md): List available projects
- [Templates](https://docs.usestencil.com/api/endpoints/templates.md): List available templates
- [Images](https://docs.usestencil.com/api/endpoints/image.md): Generate image with POST request
- [Collections](https://docs.usestencil.com/api/endpoints/collections.md): Collection allows you to create multiple images from multiple templates within a single request
- [PDFs](https://docs.usestencil.com/api/endpoints/pdfs.md): Besides images, Stencil supports generating PDFs from the same template.
- [Airtable](https://docs.usestencil.com/api/endpoints/airtable.md): Get and run Airtable integration from our API
- [Editor Session](https://docs.usestencil.com/api/endpoints/editor-session.md): Create a shareable link for editing template without logging in.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usestencil.com/api/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
